Page MenuHomePhabricator

DBQueryError: "Deadlock found when trying to get lock; try restarting transaction"
Closed, ResolvedPublicPRODUCTION ERROR

Description

16:32 < Krenair> I am watching exception.log on fluorine, I see a lot of DBQueryError from wikigrok "Deadlock found when trying to get lock; try restarting transaction"

Event Timeline

greg created this task.Feb 12 2015, 5:05 PM
greg raised the priority of this task from to Needs Triage.
greg updated the task description. (Show Details)
greg added a project: WikiGrok.
greg added a subscriber: greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2015, 5:05 PM
greg updated the task description. (Show Details)Feb 12 2015, 5:05 PM
greg set Security to None.
greg added a subscriber: Krenair.Feb 12 2015, 5:12 PM
2015-02-12 17:13:19 mw1011 enwiki: [78c28b02] /rpc/RunJobs.php?wiki=enwiki&type=refreshLinks&maxtime=30&maxmem=300M   DBQueryError from line 1251 of /srv/mediawiki/php-1.25wmf16/includes/db/Database.php: A database error has occurred. Did you forget to run maintenance/update.php after upgrading?  See: https://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: DELETE FROM `wikigrok_questions` WHERE wgq_page = '1075974' AND (wgq_version <> 2)
Function: WikiGrok\QuestionStore::store
Error: 1213 Deadlock found when trying to get lock; try restarting transaction (10.64.32.22)

#0 /srv/mediawiki/php-1.25wmf16/includes/db/Database.php(1207): DatabaseBase->reportQueryError()
#1 /srv/mediawiki/php-1.25wmf16/includes/db/Database.php(3058): DatabaseBase->query()
#2 /srv/mediawiki/php-1.25wmf16/extensions/WikiGrok/includes/QuestionStore.php(42): DatabaseBase->delete()
#3 /srv/mediawiki/php-1.25wmf16/extensions/WikiGrok/includes/Hooks.php(85): WikiGrok\QuestionStore->store()
#4 /srv/mediawiki/php-1.25wmf16/includes/Hooks.php(209): WikiGrok\Hooks::onLinksUpdate()
#5 /srv/mediawiki/php-1.25wmf16/includes/deferred/LinksUpdate.php(144): Hooks::run()
#6 /srv/mediawiki/php-1.25wmf16/includes/deferred/DataUpdate.php(101): LinksUpdate->doUpdate()
#7 /srv/mediawiki/php-1.25wmf16/includes/jobqueue/jobs/RefreshLinksJob.php(173): DataUpdate::runUpdates()
#8 /srv/mediawiki/php-1.25wmf16/includes/jobqueue/jobs/RefreshLinksJob.php(93): RefreshLinksJob->runForTitle()
#9 /srv/mediawiki/php-1.25wmf16/includes/jobqueue/JobRunner.php(170): RefreshLinksJob->run()
#10 /srv/mediawiki/rpc/RunJobs.php(42): JobRunner->run()
#11 {main}

Occurring for quite a few different values of wdq_page.

phuedx added a subscriber: phuedx.Feb 13 2015, 5:56 PM
MaxSem claimed this task.Feb 13 2015, 8:02 PM
gerritbot added a subscriber: gerritbot.

Change 190562 had a related patch set uploaded (by MaxSem):
Reduce database locking

https://gerrit.wikimedia.org/r/190562

Patch-For-Review

greg triaged this task as High priority.Feb 13 2015, 10:34 PM

Change 190562 merged by jenkins-bot:
Reduce database locking

https://gerrit.wikimedia.org/r/190562

Change 191181 had a related patch set uploaded (by MaxSem):
Reduce database locking

https://gerrit.wikimedia.org/r/191181

Patch-For-Review

Change 191182 had a related patch set uploaded (by MaxSem):
Reduce database locking

https://gerrit.wikimedia.org/r/191182

Patch-For-Review

Change 191181 merged by jenkins-bot:
Reduce database locking

https://gerrit.wikimedia.org/r/191181

Change 191182 merged by jenkins-bot:
Reduce database locking

https://gerrit.wikimedia.org/r/191182

MaxSem closed this task as Resolved.Feb 18 2015, 12:57 AM

*poof*

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM